PolicyKit: Branch 'master' - 2 commits
David Zeuthen
david at kemper.freedesktop.org
Wed Jun 6 06:20:02 PDT 2012
autogen.sh | 2 +-
configure.ac | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
New commits:
commit 4f7830c4d3200eac14b49f04f2c200e3cfd824c1
Author: Colin Walters <walters at verbum.org>
Date: Sun Jan 29 16:22:51 2012 -0500
autogen.sh: Fix check for libtool (we only need libtoolize)
A pre-built libtool copy may not be installed on all systems; all
we need is libtoolize.
Signed-off-by: David Zeuthen <zeuthen at gmail.com>
diff --git a/autogen.sh b/autogen.sh
index 426e875..d08b00a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -26,7 +26,7 @@ touch ChangeLog
}
(grep "^AM_PROG_LIBTOOL" configure.ac >/dev/null) && {
- (libtool --version) < /dev/null > /dev/null 2>&1 || {
+ (libtoolize --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: You must have libtool installed."
echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
commit 34add7cb9384bbca98e3d58000cf021dc58b7b04
Author: Colin Walters <walters at verbum.org>
Date: Wed Jun 6 07:21:42 2012 -0400
build: Check for mozjs185, not libjs
libjs is a Fedora-specific invention; mozjs185.pc lives in the
upstream tarball.
Signed-off-by: David Zeuthen <zeuthen at gmail.com>
diff --git a/configure.ac b/configure.ac
index b26b333..4cb7329 100644
--- a/configure.ac
+++ b/configure.ac
@@ -127,7 +127,7 @@ PKG_CHECK_MODULES(GLIB, [gio-2.0 >= 2.30.0])
AC_SUBST(GLIB_CFLAGS)
AC_SUBST(GLIB_LIBS)
-PKG_CHECK_MODULES(LIBJS, [libjs >= 1.8.5])
+PKG_CHECK_MODULES(LIBJS, [mozjs185])
AC_SUBST(LIBJS_CFLAGS)
AC_SUBST(LIBJS_LIBS)
More information about the hal-commit
mailing list